org.apache.maven.plugin

## Class MojoExecution

- java.lang.Object
- - org.apache.maven.plugin.MojoExecution

    public class MojoExecution
    extends java.lang.Object

Describes a single mojo invocation.

Version:
  $Id: MojoExecution.java 788791 2009-06-26 17:55:26Z jdcasey $
Author:
  Brett Porter

### Field Summary

Fields
`static java.lang.String` `CLI_EXECUTION_ID`
`static java.lang.String` `DEFAULT_EXEC_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`MojoExecution(MojoDescriptor mojoDescriptor)`
`MojoExecution(MojoDescriptor mojoDescriptor, java.lang.String executionId)`
`MojoExecution(MojoDescriptor mojoDescriptor, Xpp3Dom configuration)`
`MojoExecution(MojoDescriptor mojoDescriptor, Xpp3Dom configuration, java.lang.String executionId)`

### Method Summary

Methods
`void` `addMojoExecution(MojoExecution execution)`
`Xpp3Dom` `getConfiguration()`
`java.lang.String` `getExecutionId()`
`java.util.List` `getForkedExecutions()`
`MojoDescriptor` `getMojoDescriptor()`
`java.util.List` `getReports()`
`void` `setConfiguration(Xpp3Dom configuration)`
`void` `setReports(java.util.List reports)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_EXEC_ID_PREFIX

    public static final java.lang.String DEFAULT_EXEC_ID_PREFIX

See Also:
  Constant Field Values

#### CLI_EXECUTION_ID

    public static final java.lang.String CLI_EXECUTION_ID

See Also:
  Constant Field Values

### Constructor Detail

#### MojoExecution

    public MojoExecution(MojoDescriptor mojoDescriptor)

#### MojoExecution

    public MojoExecution(MojoDescriptor mojoDescriptor,
                 java.lang.String executionId)

#### MojoExecution

    public MojoExecution(MojoDescriptor mojoDescriptor,
                 Xpp3Dom configuration)

#### MojoExecution

    public MojoExecution(MojoDescriptor mojoDescriptor,
                 Xpp3Dom configuration,
                 java.lang.String executionId)

### Method Detail

#### getExecutionId

    public java.lang.String getExecutionId()

#### getMojoDescriptor

    public MojoDescriptor getMojoDescriptor()

#### getConfiguration

    public Xpp3Dom getConfiguration()

#### addMojoExecution

    public void addMojoExecution(MojoExecution execution)

#### setReports

    public void setReports(java.util.List reports)

#### getReports

    public java.util.List getReports()

#### getForkedExecutions

    public java.util.List getForkedExecutions()

#### setConfiguration

    public void setConfiguration(Xpp3Dom configuration)